"use client";

import Image from "next/image";
import map_pin from "./icons/map-pin.svg";
import { useReportStore } from "@/widgets/report-details/reportStore";

const ShowMapButton = () => {
  const { setShowMap, showMap } = useReportStore();
  return (
    <button
      onClick={() => setShowMap(!showMap)}
      className="report-information__show-map"
    >
      <Image src={map_pin} alt="Map Pin Icon" />
      Показать на карте
    </button>
  );
};

export default ShowMapButton;
